package com.css.txw.mhzc.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.css.ggzc.framework.common.util.gy.GyUtils;
import com.css.txw.mhzc.pojo.domain.TxwMhzcGglbDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.css.txw.mhzc.pojo.vo.GglbReqVO;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_mhzc_gglb(广告栏表)】的数据库操作Mapper
* @createDate 2025-10-20 10:24:42
* @Entity com.css.txw.gxzx.pojo.domain.TxwMhzcGglb
*/
public interface TxwMhzcGglbMapper extends BaseMapper<TxwMhzcGglbDO> {

    default List<TxwMhzcGglbDO> getGgxxList(GglbReqVO reqVO){
        QueryWrapper<TxwMhzcGglbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .like(!GyUtils.isNull(reqVO.getGgNr()),TxwMhzcGglbDO::getGgNr,reqVO.getGgNr())
                .like(!GyUtils.isNull(reqVO.getBt1()),TxwMhzcGglbDO::getBt1,reqVO.getBt1())
                .eq(!GyUtils.isNull(reqVO.getYxbz()),TxwMhzcGglbDO::getYxbz,reqVO.getYxbz());
        return selectList(wrapper);
    }
}




